FROM jikimo-hn-docker.pkg.coding.net/jikimo_sfs/odoo-sf/odoo-sf:1.0
USER root:root

ADD . /app

WORKDIR /app

COPY ./requirements.txt /app

RUN sed -i 's#http://deb.debian.org#http://mirrors.aliyun.com#g' /etc/apt/sources.list
# Install some deps, lessc and less-plugin-clean-css, and wkhtmltopdf

# 系统更新
RUN apt-get update
# RUN apt-get do-release-upgrade

# 更新python的依赖
#RUN pip3 install --upgrade pip
RUN pip3 install -r requirements.txt -i https://mirrors.aliyun.com/pypi/simple

# 设置时区
RUN rm -rf /etc/localtime
RUN ln -s /usr/share/zoneinfo/Asia/Shanghai /etc/localtime

# 拷贝代码到工作目录
COPY . /mnt/extra-addons

# 拷贝配置文件到配置目录
COPY ./odoo.conf /etc/odoo

# 启动odoo
#COPY ./entrypoint.sh /